[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.DoPrepareCanvas

DoPrepareCanvas - calls the OnPrepareCanvas event handler if assigned

## Declaration

Source position: dbgrids.pas line 379

`protected procedure TCustomDBGrid.DoPrepareCanvas(`
`aCol: Integer;`
`aRow: Integer;`
`aState: TGridDrawState`
`); override;`

## See also

TCustomGrid.DoPrepareCanvas |  | DoPrepareCanvas - get the canvas ready for drawing

The latest version of this document can be found at lazarus-ccr.sourceforge.net .